# Uses of Class
org.apache.lucene.sandbox.facet.ComparableUtils.ByLongValueComparable

Packages that use ComparableUtils.ByLongValueComparable
Package
Description
org.apache.lucene.sandbox.facet
Sandbox faceting - Collectors that compute facets.

## Uses of ComparableUtils.ByLongValueComparable in org.apache.lucene.sandbox.facet

Methods in org.apache.lucene.sandbox.facet that return types with arguments of type ComparableUtils.ByLongValueComparable
Modifier and Type
Method
Description
`static ComparableSupplier<ComparableUtils.ByLongValueComparable>`
ComparableUtils.`byLongValue(LongValueFacetCutter longValueFacetCutter)`
`ComparableSupplier` to sort ordinals by long value from `LongValueFacetCutter` (descending).
Methods in org.apache.lucene.sandbox.facet with parameters of type ComparableUtils.ByLongValueComparable
Modifier and Type
Method
Description
`int`
ComparableUtils.ByLongValueComparable.`compareTo(ComparableUtils.ByLongValueComparable o)`